.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptSelect.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptSelect:

VisualScriptSelect
==================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Chooses between two input values.

Member Variables
----------------

  .. _class_VisualScriptSelect_type:

- :ref:`Type<enum_variant_type>` **type** - The input variables' type.


Description
-----------

Chooses between two input values based on a Boolean condition.

**Input Ports:**

- Data (boolean): ``cond``

- Data (variant): ``a``

- Data (variant): ``b``

**Output Ports:**

- Data (variant): ``out``

